PHP 5.6 telepítése Ubuntu 16.04 – Magento 1 fejlesztéshez

A fejlesztői létemet megkönnyítendő átállok Windows környezetről Ubuntu környezetre weboldal, webáruház fejlesztések esetében. Korábbi cikkemben bemutattam, hogyan lehet felépíteni Ubuntu 16.x alatt egy Magento 2-es konfigot PHP 7-el. Az is nyilvánvaló, hogy szeretném megnyitni saját webáruházam, s mivel minimális költségekből, ezért Magento 1 alapú webáruházzal indítok.

Hogy miért Magento 1 és miért nem Magento 2?

A válasz a szerver üzemeltetési költségeknél keresendő. Amíg a Magento 2 minimum egy jól konfigurálható VPS bérlést igényel, addig a Magento 1 osztott tárhelyen is képes elfutni, nagyjából 5 konkurens vásárlást ki is tud szolgálni egy ilyen tárhellyel. Mivel én ezzel rendelkezem és költségeim minimalizálása törekszem induló webáruházam esetén számomra ezért megfelelő választás a Magento 1.

Magento 1 fejlesztése Ubuntu 16.x alatt.
A fejlesztést azonban Ubuntu 16.x-es változat alatt végzem, ami egy Windows alapú oprendszer esetén sokkal kézenfekvőbb megoldás, ha az alapértelmezett PHP nem 7.0 lenne Ubuntu 16.x alatt. 🙂 Az új Ubuntu már alapesetben PHP7-et futtat, viszont a Magento 1 csak PHP 5.6-al fut el. Ezért az Ubuntu 16.x-es változathoz egy 5.6-os PHP verziót is fel kell pakolnom.

A telepítés előtt célszerű törölni az előre feltelepített PHP csomagokat:
sudo apt-get purge `dpkg -l | grep php| awk '{print $2}' |tr "\n" " "`

Ezután fel kell venni ondrej által elkészített PHP csomagot az Ubuntu-s csomagkezelőink közé.

A következő parancs futtatásával, telepíthető a PHP 5.6-os változata:
sudo apt-get update
sudo apt-get install php5.6

Majd a szükséges további csomagokat is megadhatjuk:
sudo apt-get install php5.6-mbstring php5.6-mcrypt php5.6-mysql php5.6-xml

Célszerű még betölteni a soap modult, ami alapértelmezetten szükséges Magento fejlesztéshez:
sudo apt-get install php5.6-soap

Ha mindent jól csináltunk, akkor egy phpinfo() parancs futtatásával a szerverünk már PHP 5.6-os PHP változattal fut. Megeshet, hogy az Apache szervert újra kell indítani Ubuntu alatt a beállítások érvényre kerülése végett.

Forrás: AskUbuntu.com

Advertisements

PHP 5.6 telepítése Ubuntu 16.04 – Magento 1 fejlesztéshez” bejegyzéshez egy hozzászólás

  1. 1-2 fájl módosítása után simán fut a Magento 1 is PHP7 alatt, sőt, még gyorsabban is. A kiegészítők is PHP7 kompatibilisek, legalábbis, amiket én használok.
    Nekem a Magento2 egy VPS-en is úgy összeomlasztotta az Apache-ot, hogy rossz volt ránézni. Nem volt felkészítve az Apache ekkora lekéréshalmazra.

Vélemény, hozzászólás?

Adatok megadása vagy bejelentkezés valamelyik ikonnal:

WordPress.com Logo

Hozzászólhat a WordPress.com felhasználói fiók használatával. Kilépés / Módosítás )

Twitter kép

Hozzászólhat a Twitter felhasználói fiók használatával. Kilépés / Módosítás )

Facebook kép

Hozzászólhat a Facebook felhasználói fiók használatával. Kilépés / Módosítás )

Google+ kép

Hozzászólhat a Google+ felhasználói fiók használatával. Kilépés / Módosítás )

Kapcsolódás: %s